net.corda.node.services

## Interface RPCUserService

- All Known Implementing Classes:
    RPCUserServiceImpl

      public RPCUserService

  Service for retrieving `class User` objects representing RPC users who are authorised to use the RPC system. A `class User` contains their login username and password along with a set of permissions for RPC services they are allowed access to. These permissions are represented as Strings to allow RPC implementations to add their own permissioning.

  See Also:
    `class User`, `class User`

- - ### Method Summary

    All Methods Instance Methods Default Methods
    Modifier and Type | Method and Description
    --- | ---
    `User` | `getUser(java.lang.String username)`
    `java.util.List<net.corda.node.services.User>` | `getUsers()`

- - ### Method Detail

    - #### getUser

          User getUser(java.lang.String username)

    - #### getUsers

          java.util.List<net.corda.node.services.User> getUsers()